Dear Daniel,

Thank you for your reply.

1. The thing is after I do the cmake step, and go on to do  make --jobs=4
install , I get the following output in the terminal.
make: *** No rule to make target 'install'.  Stop.
Am I running this command from a wrong directory?

2. For the dependencies, should I install them manually? and add them to
cmake command I pass?

Thank you for all the help.
Regards,
Prasad


On Wed, Jun 3, 2020 at 2:39 PM Daniel Arndt <d.arndt.m...@gmail.com> wrote:

> Prasad,
>
> CMake ran successfully and the output looks fine. Some of the example
> steps require certain dependencies which you just didn't activate.
> Note, that you will not be able to use MPI with this configuration.
>
> Best,
> Daniel
>
>
> Am Mi., 3. Juni 2020 um 05:21 Uhr schrieb Prasad Adhav <
> prasada001...@gmail.com>:
>
>> I am sorry to be a bother, but the last time I tried the suggestion
>> without any success.
>> cmake -DDEALII_WITH_MPI=OFF -DDEALII_WITH_TRILINOS=OFF
>> -DDEAL_II_WITH_PETSC=OFF ..
>>
>> I had to shift to a different task.
>>
>> I have to come back to install deal.ii though. I thought of starting a
>> from new.
>> I want to run a coupled simulation using the preCICE library, where
>> deal.ii will be used for FEM part.( hence I am trying to install v9.1.0).
>>
>> I am using Ubuntu 18.04 LTS.
>> cmake version 3.10.2
>>
>> I first did
>> cmake -DCMAKE_INSTALL_PREFIX=/home/prasad/bin/deal.II ../
>>
>> then I did
>> cmake -DDEALII_WITH_MPI=OFF -DDEALII_WITH_TRILINOS=OFF 
>> -DDEAL_II_WITH_PETSC=OFF
>> ..
>>
>> The dealii_cmake.log has the output for my terminal.
>> CMakeError.log and CmakeOutput.log are also attached.
>>
>> The immediate issues seen are
>> -- Include
>> /home/prasad/bin/dealii-9.1.0/cmake/configure/configure_muparser.cmake
>> -- MUPARSER_LIBRARY not found! Call:
>> --     FIND_LIBRARY(MUPARSER_LIBRARY NAMES muparser muparserd HINTS
>> PATH_SUFFIXES lib lib64 lib)
>> -- MUPARSER_INCLUDE_DIR not found! Call:
>> --     FIND_PATH(MUPARSER_INCLUDE_DIR muParserDef.h HINTS PATH_SUFFIXES
>> include)
>> --   MUPARSER_LIBRARIES: *** Required variable "MUPARSER_LIBRARY" set to
>> NOTFOUND ***
>> --   MUPARSER_INCLUDE_DIRS: *** Required variable "MUPARSER_INCLUDE_DIR"
>> set to NOTFOUND ***
>> -- Could NOT find MUPARSER
>> -- DEAL_II_WITH_MUPARSER has unmet external dependencies.
>> -- DEAL_II_WITH_MUPARSER successfully set up with bundled packages.
>>
>>
>> The further output shows, with examples with dependencies not satisfied.
>> -- Configuring done. Proceed to target definitions now.
>> -- Setting up bundled features
>> -- Performing Test DEAL_II_HAVE_FLAG_flifetime_dse=1
>> -- Performing Test DEAL_II_HAVE_FLAG_flifetime_dse=1 - Success
>> -- Performing Test DEAL_II_HAVE_FLAG_Wimplicit_fallthrough=0
>> -- Performing Test DEAL_II_HAVE_FLAG_Wimplicit_fallthrough=0 - Success
>> -- Setting up bundled features - Done
>> -- Setting up library
>> -- Setting up library - Done
>> -- Setting up project configuration
>> -- Setting up project configuration - Done
>> -- Setting up examples
>> --   step-17 - dependencies not satisfied
>> --   step-18 - dependencies not satisfied
>> --   step-32 - dependencies not satisfied
>> --   step-36 - dependencies not satisfied
>> --   step-40 - dependencies not satisfied
>> --   step-42 - dependencies not satisfied
>> --   step-45 - dependencies not satisfied
>> --   step-54 - dependencies not satisfied
>> --   step-55 - dependencies not satisfied
>> --   step-62 - dependencies not satisfied
>> --   step-64 - dependencies not satisfied
>> -- Setting up examples - Done
>> -- Setting up quick_tests in DEBUG mode
>> -- Setting up quick_tests in DEBUG mode - Done
>> -- Setting up testsuite
>> -- Setting up testsuite - Done
>>
>> Thank you in advance for your help and patience.
>>
>> Regards,
>> Prasad ADHAV
>>
>> On Tue, Apr 28, 2020 at 7:09 PM Marc Fehling <m.fehl...@fz-juelich.de>
>> wrote:
>>
>>> Hi Prasad!
>>>
>>> My guess now is the following: You have PETSc and Trilinos installed on
>>> your device, which deal.II finds, but complains that PETSc has been
>>> installed with a different MPI configuration as is available for deal.II.
>>>
>>> -- Include
>>> /home/prasad/Downloads/dealii/cmake/configure/configure_3_petsc.cmake
>>> -- Found PETSC_LIBRARY
>>> -- Found PETSC_INCLUDE_DIR_ARCH
>>> -- Found PETSC_INCLUDE_DIR_COMMON
>>> -- PETSC_PETSCVARIABLES not found! Call:
>>> --     FIND_FILE(PETSC_PETSCVARIABLES NAMES petscvariables HINTS
>>> /usr/lib/petscdir/3.6.2//x86_64-linux-gnu-real /usr/lib/petscdir/3.6.2/
>>> PATH_SUFFIXES conf lib/petsc/conf)
>>> --   PETSC_VERSION: 3.7.7.0
>>> --   PETSC_LIBRARIES: /usr/lib/x86_64-linux-gnu/libpetsc.so
>>> --   PETSC_INCLUDE_DIRS: /usr/include/petsc;/usr/include/petsc
>>> --   PETSC_USER_INCLUDE_DIRS: /usr/include/petsc;/usr/include/petsc
>>> -- Found PETSC
>>> -- Could not find a sufficient PETSc installation: PETSc has to be
>>> configured with the same MPI configuration as deal.II.
>>> -- DEAL_II_WITH_PETSC has unmet external dependencies.
>>>
>>> Later, we find:
>>>
>>> -- Include
>>> /home/prasad/Downloads/dealii/cmake/configure/configure_p4est.cmake
>>> -- DEAL_II_WITH_P4EST has unmet configuration requirements:
>>> DEAL_II_WITH_MPI has to be set to "ON".
>>> --
>>> -- Include
>>> /home/prasad/Downloads/dealii/cmake/configure/configure_scalapack.cmake
>>> -- DEAL_II_WITH_SCALAPACK has unmet configuration requirements:
>>> DEAL_II_WITH_MPI has to be set to "ON".
>>> --
>>> -- Include
>>> /home/prasad/Downloads/dealii/cmake/configure/configure_slepc.cmake
>>> -- DEAL_II_WITH_SLEPC has unmet configuration requirements:
>>> DEAL_II_WITH_PETSC has to be set to "ON".
>>>
>>> Is your intention to use parallel features of deal.II? Otherwise I'd
>>> suggest to explicitly disable all parallel features for now with:
>>> cmake -DDEALII_WITH_MPI=OFF -DDEALII_WITH_TRILINOS=OFF
>>> -DDEAL_II_WITH_PETSC=OFF ..
>>>
>>> Hope this helps for now!
>>>
>>> Best,
>>> Marc
>>>
>>> --
>>> The deal.II project is located at http://www.dealii.org/
>>> For mailing list/forum options, see
>>> https://groups.google.com/d/forum/dealii?hl=en
>>> ---
>>> You received this message because you are subscribed to the Google
>>> Groups "deal.II User Group" group.
>>> To unsubscribe from this group and stop receiving emails from it, send
>>> an email to dealii+unsubscr...@googlegroups.com.
>>> To view this discussion on the web visit
>>> https://groups.google.com/d/msgid/dealii/837362ce-d2f5-4727-bc72-c400a90e280e%40googlegroups.com
>>> <https://groups.google.com/d/msgid/dealii/837362ce-d2f5-4727-bc72-c400a90e280e%40googlegroups.com?utm_medium=email&utm_source=footer>
>>> .
>>>
>>
>>
>> --
>> Regards,
>> Prasad ADHAV
>> +33 (0)7 66 54 16 32
>> prasada001...@gmail.com
>>
>> --
>> The deal.II project is located at http://www.dealii.org/
>> For mailing list/forum options, see
>> https://groups.google.com/d/forum/dealii?hl=en
>> ---
>> You received this message because you are subscribed to the Google Groups
>> "deal.II User Group" group.
>> To unsubscribe from this group and stop receiving emails from it, send an
>> email to dealii+unsubscr...@googlegroups.com.
>> To view this discussion on the web visit
>> https://groups.google.com/d/msgid/dealii/CAAd_n%3DqYwdtAi_iXJut4mXqXcsSdShcURXmdiHU7DKVHowoc5w%40mail.gmail.com
>> <https://groups.google.com/d/msgid/dealii/CAAd_n%3DqYwdtAi_iXJut4mXqXcsSdShcURXmdiHU7DKVHowoc5w%40mail.gmail.com?utm_medium=email&utm_source=footer>
>> .
>>
> --
> The deal.II project is located at http://www.dealii.org/
> For mailing list/forum options, see
> https://groups.google.com/d/forum/dealii?hl=en
> ---
> You received this message because you are subscribed to the Google Groups
> "deal.II User Group" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to dealii+unsubscr...@googlegroups.com.
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/dealii/CAOYDWbLj08x7LCBVCbd0J1bAH7QhXup-EAHMx6xKFN-1hCUJ6Q%40mail.gmail.com
> <https://groups.google.com/d/msgid/dealii/CAOYDWbLj08x7LCBVCbd0J1bAH7QhXup-EAHMx6xKFN-1hCUJ6Q%40mail.gmail.com?utm_medium=email&utm_source=footer>
> .
>


-- 
Regards,
Prasad ADHAV
+33 (0)7 66 54 16 32
prasada001...@gmail.com

-- 
The deal.II project is located at http://www.dealii.org/
For mailing list/forum options, see 
https://groups.google.com/d/forum/dealii?hl=en
--- 
You received this message because you are subscribed to the Google Groups 
"deal.II User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to dealii+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/dealii/CAAd_n%3Drn8tfn1-0czqFeDqyXhcG_0nFvmhfU7%3DF-QdQ1dKM4fQ%40mail.gmail.com.

Reply via email to